Subject: RE: [AVT] VoIP Shim for RTP Payload Formats

From: "SOLLAUD Aurelien RD-TECH-LAN" <[email-masked]>
Date: Thu, 7 Sep 2006 10:01:46 +0200

As author of the draft you quote, I'd like to say that it was done this way because of the need for an "immediate" deployment of G.729.1 VoIP.
I really welcome the AVPF/CCM work for controling the bitrate but that is not available *now*, so an alternative in-band solution (MBS) has been chosen.

Aurelien 

-----Message d'origine-----
De : Desineni, Harikishan [mailto:[email-masked]] 
Envoyé : mercredi 6 septembre 2006 21:57
À : Colin Perkins; Ingemar Johansson S ((LU/EAB))
Cc : [email-masked]
Objet : RE: [AVT] VoIP Shim for RTP Payload Formats

I am under the impression that in-band signaling inside payload header is an accepted concept in this community. Other than AMR Payload format, there is another payload format which is trying to use this concept.
Once such work is the use of MBS field in Sec 5.2 draft-ietf-avt-rtp-g729-scal-wb-ext-07.txt

"MBS (4 bits): maximum bit rate supported.  Indicates a maximum bit  rate to the encoder at the site of the receiver of this payload."

I think that RTCP (AVPF) has a similar message which can be used to convey maximum bit rate to the encoder at the remote end.

I'd like to infer the following statements from the reference to the above work in RTP and RTCP:

1) In-band signaling using RTP payload header is an allowed/accepted concept.
2) RTCP signaling may also exist to carry the same information.

In certain scenarios (MOH, voice mail), RTCP signaling is unavoidable.
One will end up defining methods to carry the same information using both in-band RTP and RTCP based feedback.

-----Original Message-----
From: Colin Perkins [mailto:[email-masked]]
Sent: Friday, August 25, 2006 7:30 AM
To: Ingemar Johansson S ((LU/EAB))
Cc: [email-masked]
Subject: Re: [AVT] VoIP Shim for RTP Payload Formats

> Inband signaling of the type proposed already exist for eg.
> the AMR payload format (RFC3267), it is however limited to the request 
> of lower/higher codec rate. The intention of this added inband 
> signaling is to allow for requests regarding frame aggregation and 
> redundancy during a session so in that aspect it is a continuation of 
> the inband signaling concept that already exist.

This is one of the less desirable features of the AMR payload format, and was included solely for backwards compatibility.

Colin

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt